[HEADS UP] CentOS 7.3 ppc64le rolling out today
by Sandro Bonazzola
Hi,
as for x86_64 released on Monday, please wait for qemu-kvm-ev 2.6 to be
built on top of the new CentOS 7.3 before upgrading to avoid breakages.
Thanks,
--
Sandro Bonazzola
Better technology. Faster innovation. Powered by community collaboration.
See how it works at redhat.com
7 years, 11 months
[JIRA] (OVIRT-923) define process to manage and apply ansible playbooks
by Marc Dequènes (Duck) (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-923?page=com.atlassian.jira... ]
Marc Dequènes (Duck) commented on OVIRT-923:
--------------------------------------------
Misc is managing a bastion for ManageIQ, which is an interesting solution. This is not to say we have to use the exact same one, but it is an interesting working example which can be a starting point to think about.
The role to install the bastion with the scripts used to handle the automatic launch depending on which hosts are affected by the changed push in a public git repo: https://github.com/OSAS/ansible-role-ansible_bastion
The playbook repository is here for example: git@gitlab.osas.lab.eng.rdu2.redhat.com:osas/ansible_manageiq.git
(you may have to ask [~misc(a)redhat.com] for permission for this one.
> define process to manage and apply ansible playbooks
> ----------------------------------------------------
>
> Key: OVIRT-923
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-923
> Project: oVirt - virtualization made easy
> Issue Type: Improvement
> Reporter: Evgheni Dereveanchin
> Assignee: infra
> Priority: Low
>
> We already have a repository with ansible code, but to use it effectively we need to define a way to manage playbooks and run them effectively. As Ansible Tower is not open source we need to investigate other solutions on the market.
--
This message was sent by Atlassian JIRA
(v1000.621.4#100023)
7 years, 11 months
Build failed in Jenkins: ovirt_4.0_he-system-tests #596
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/596/changes>
Changes:
[Yaniv Kaul] Fixes for 3.6 suite to work on CentOS 7.3
[Sandro Bonazzola] ovirt-host-deploy: move 4.1 to stable branch
[Martin Perina] aaa-ldap: Create stable branch for oVirt 4.0
[Sandro Bonazzola] ovirt-log-collector: move 4.1 to stable branch
[Eyal Edri] add more history to standard jobs
[Barak Korren] Fix issue with mock_genconfig
[Evgheni Dereveanchin] increase max concurrent builds to 30
------------------------------------------
[...truncated 1205 lines...]
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/596/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/596/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> ]]
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -x
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
for log in "${logs[@]}"; do
[[ "$log" = ./exported-artifacts/* ]] && continue
echo "Copying ${log} to exported-artifacts"
mv $log exported-artifacts/
done
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
# remove mock caches that are older then 2 days:
find /var/cache/mock/ -mindepth 1 -maxdepth 1 -type d -mtime +2 -print0 | \
xargs -0 -tr sudo rm -rf
# We make no effort to leave around caches that may still be in use because
# packages installed in them may go out of date, so may as well recreate them
# Drop all left over libvirt domains
for UUID in $(virsh list --all --uuid); do
virsh destroy $UUID || :
sleep 2
virsh undefine --remove-all-storage --storage vda --snapshots-metadata $UUID || :
done
if $failed; then
echo "Cleanup script failed, propegating failure to job"
exit 1
fi
[ovirt_4.0_he-system-tests] $ /bin/bash -x /tmp/hudson3446399328267158833.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ for log in '"${logs[@]}"'
+ [[ ./ovirt-system-tests/logs = ./exported-artifacts/* ]]
+ echo 'Copying ./ovirt-system-tests/logs to exported-artifacts'
Copying ./ovirt-system-tests/logs to exported-artifacts
+ mv ./ovirt-system-tests/logs exported-artifacts/
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-epel-7-x86_64.el7.cfg
+ mock_root=mocker-epel-7-x86_64.el7
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-epel-7-x86_64.el7'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests> --root=mocker-epel-7-x86_64.el7 --resultdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.21 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
WARNING: Process ID 20466 still running in chroot. Killing...
WARNING: Process ID 20482 still running in chroot. Killing...
WARNING: Process ID 20483 still running in chroot. Killing...
WARNING: Process ID 20489 still running in chroot. Killing...
WARNING: Process ID 22126 still running in chroot. Killing...
Finish: run
sh: [20466: 1 (255)] tcsetattr: Inappropriate ioctl for device
tee: <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...>: No such file or directory
Took 21590 seconds
Finish: shell
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-te...>
+ mock_root=epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e
+ [[ -n epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e
+ [[ -n /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc ]]
+ echo 'Found mounted dirs inside the chroot . Trying to umount.'
Found mounted dirs inside the chroot . Trying to umount.
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/sys
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/dev/shm
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/dev/pts
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/cache/yum
umount: /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/cache/yum: not mounted
+ echo 'ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/cache/yum.'
ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/cache/yum.
+ failed=true
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests>
umount: /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests>: not mounted
+ echo 'ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests.'>
ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests.>
+ failed=true
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/run/libvirt
umount: /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/run/libvirt: not mounted
+ echo 'ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/run/libvirt.'
ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/run/libvirt.
+ failed=true
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/lib/lago
umount: /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/lib/lago: not mounted
+ echo 'ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/lib/lago.'
ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/var/lib/lago.
+ failed=true
+ for mount in '"${mounts[@]}"'
+ sudo umount --lazy /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc/filesystems
umount: /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc/filesystems: mountpoint not found
+ echo 'ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc/filesystems.'
ERROR: Failed to umount /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311/root/proc/filesystems.
+ failed=true
+ for mock_root in '/var/lib/mock/*'
+ this_chroot_failed=false
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311
+ :
+ [[ -n '' ]]
+ false
+ sudo rm -rf /var/lib/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e-20311
+ find /var/cache/mock/ -mindepth 1 -maxdepth 1 -type d -mtime +2 -print0
+ xargs -0 -tr sudo rm -rf
sudo rm -rf /var/cache/mock/fedora-24-x86_64-16f322197a7139379dcbc4fa34591c1e /var/cache/mock/epel-7-x86_64-c72c78366ff14254e85061296f0d13fb
++ virsh list --all --uuid
+ true
+ echo 'Cleanup script failed, propegating failure to job'
Cleanup script failed, propegating failure to job
+ exit 1
POST BUILD TASK : FAILURE
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found. Configuration error?
Archiving artifacts
7 years, 11 months
[JIRA] (OVIRT-942) [gerrit hooks] add CR (-1) grade beside the gerrit message
by Shlomo Ben David (oVirt JIRA)
Shlomo Ben David created OVIRT-942:
--------------------------------------
Summary: [gerrit hooks] add CR (-1) grade beside the gerrit message
Key: OVIRT-942
URL: https://ovirt-jira.atlassian.net/browse/OVIRT-942
Project: oVirt - virtualization made easy
Issue Type: Improvement
Reporter: Shlomo Ben David
Assignee: infra
Currently, we are grading with CR (-1) if there is not bug url
added to the commit message (only for stable branches).
The current message that Gerrit prints don't show the CR grade (-1)
beside the Gerrit message, It only shows the message.
--
This message was sent by Atlassian JIRA
(v1000.621.3#100023)
7 years, 11 months